#!/usr/bin/perl
#
# Fixes html files produced by the linuxdoc (amongst others) systems.
# - These try to look for a file off the end of the document.
#
#
# Parameters:
#
# fname - base fname for the document to fix. Without the '.html' extension.
#

$fname = shift ARGV;

if (defined $fname) {
    # Valid ...

    print "Trying to fix $fname.html\n";

    $count = 1;

    while (-e "$fname-$count.html") {
	$count ++;
    }

    # count is now the id of the file that failed ...

    if ($count != 1) {
	# Normal case .... - ignore single file entities ...!
	open (WORKINGIN, "$fname-".($count -1).".html") || die ("Couldn't open $fname-".($count -1).".html for reading\n");
	open (WORKINGOUT, ">$fname-".($count -1).".tmp.html") || die ("Couldn't open $fname-".($count -1).".tmp.html\n");
    
	while (<WORKINGIN>) {
	    s/<a href="$fname-$count\.html"> Next <\/a> Chapter,\s*//;
	    print WORKINGOUT;
	}

	close WORKINGING;
	close WORKINGOUT;

	rename ("$fname-".($count -1).".html", "$fname-".($count-1).".html.bak");
	rename ("$fname-".($count -1).".tmp.html", "$fname-".($count-1).".html");
    }
}
	       
